# Class: YARD::Parser::Ruby::Legacy::RubyToken::TkNode

Inherits:
  Token
  - Object
  - Token
  - YARD::Parser::Ruby::Legacy::RubyToken::TkNode
  show all

Defined in:
  lib/yard/parser/ruby/legacy/ruby_lex.rb

## Instance Attribute Summary collapse

- #node ⇒ Object readonly

  Returns the value of attribute node.

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::Legacy::RubyToken::Token

## Instance Attribute Details

### #node ⇒ `Object` (readonly)

Returns the value of attribute node.

    64
    65
    66

    # File 'lib/yard/parser/ruby/legacy/ruby_lex.rb', line 64

    def node
      @node
    end